ScalaCompileOptions (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.api.tasks.scala

## Class ScalaCompileOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.language.scala.tasks.BaseScalaCompileOptions
    - - org.gradle.api.tasks.scala.ScalaCompileOptions

- All Implemented Interfaces:
    Serializable

      public class ScalaCompileOptions
      extends BaseScalaCompileOptions

  Options for Scala compilation, including the use of the Ant-backed compiler.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `daemonServer`
    `protected boolean` | `fork`
    `protected boolean` | `useAnt`
    `protected boolean` | `useCompileDaemon`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalaCompileOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `protected String` | `getAntPropertyName(String fieldName)`
    `protected Object` | `getAntPropertyValue(String fieldName, Object value)`
    `String` | `getDaemonServer()` Deprecated.
    `boolean` | `isFork()` Deprecated.
    `boolean` | `isUseAnt()` Deprecated.
    `boolean` | `isUseCompileDaemon()` Deprecated.
    `void` | `setDaemonServer(String daemonServer)` Deprecated.
    `void` | `setFork(boolean fork)` Deprecated.
    `void` | `setUseAnt(boolean useAnt)` Deprecated.
    `void` | `setUseCompileDaemon(boolean useCompileDaemon)` Deprecated.

    - ### Methods inherited from class org.gradle.language.scala.tasks.BaseScalaCompileOptions

      `getAdditionalParameters, getDebugLevel, getEncoding, getForkOptions, getIncrementalOptions, getLoggingLevel, getLoggingPhases, isDeprecation, isFailOnError, isForce, isListFiles, isOptimize, isUnchecked, setAdditionalParameters, setDebugLevel, setDeprecation, setEncoding, setFailOnError, setForce, setForkOptions, setIncrementalOptions, setListFiles, setLoggingLevel, setLoggingPhases, setOptimize, setUnchecked`

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fork

          protected boolean fork

    - #### useAnt

          protected boolean useAnt

    - #### useCompileDaemon

          protected boolean useCompileDaemon

    - #### daemonServer

          protected String daemonServer

  - ### Constructor Detail

    - #### ScalaCompileOptions

          public ScalaCompileOptions()

  - ### Method Detail

    - #### isUseAnt

          @Deprecated
          public boolean isUseAnt()

      Deprecated.
      Tells whether to use Ant for compilation. If `true`, the standard Ant scalac (or fsc) task will be used for Scala and Java joint compilation. If `false`, the Zinc incremental compiler will be used instead. The latter can be significantly faster, especially if there are few source code changes between compiler runs. Defaults to `true`.

    - #### setUseAnt

          @Deprecated
          public void setUseAnt(boolean useAnt)

      Deprecated.

    - #### isFork

          @Deprecated
          public boolean isFork()

      Deprecated.
      Whether to run the Scala compiler in a separate process. Defaults to `false` for the Ant based compiler (`useAnt = true`), and to `true` for the Zinc based compiler (`useAnt = false`).

    - #### setFork

          @Deprecated
          public void setFork(boolean fork)

      Deprecated.

    - #### isUseCompileDaemon

          @Deprecated
          public boolean isUseCompileDaemon()

      Deprecated.
      Whether to use the fsc compile daemon.

    - #### setUseCompileDaemon

          @Deprecated
          public void setUseCompileDaemon(boolean useCompileDaemon)

      Deprecated.

    - #### getDaemonServer

          @Deprecated
          public String getDaemonServer()

      Deprecated.
      Server (host:port) on which the compile daemon is running. The host must share disk access with the client process. If not specified, launches the daemon on the localhost. This parameter can only be specified if useCompileDaemon is true.

    - #### setDaemonServer

          @Deprecated
          public void setDaemonServer(String daemonServer)

      Deprecated.

    - #### excludeFromAntProperties

          protected boolean excludeFromAntProperties(String fieldName)

      Overrides:
        `excludeFromAntProperties` in class `AbstractOptions`

    - #### getAntPropertyName

          protected String getAntPropertyName(String fieldName)

      Overrides:
        `getAntPropertyName` in class `AbstractOptions`

    - #### getAntPropertyValue

          protected Object getAntPropertyValue(String fieldName,
                                   Object value)

      Overrides:
        `getAntPropertyValue` in class `AbstractOptions`